Loading...
Searching...
No Matches
Gfx::EngineObject Struct Reference

Object drawn by the graphics engine. More...

`#include <src/graphics/engine/engine.h>`

## Public Member Functions

void | LoadDefault ()
| Loads default values.

## Public Attributes

bool | used = false
| If true, object is valid in objects vector.
int | baseObjRank = -1
| Rank of associated base engine object.
bool | visible = false
| If true, the object is drawn.
bool | drawWorld = false
| If true, object is behind the 2D interface.
bool | drawFront = false
| If true, the shape is before the 2D interface.
EngineObjectType | type = ENG_OBJTYPE_NULL
| Type of object.
Math::Matrix | transform
| Transformation matrix.
float | distance = 0.0f
| Distance to object from eye point.
int | shadowRank = -1
| Rank of the associated shadow.
float | transparency = 0.0f
| Transparency of the object [0, 1].

## Detailed Description

Object drawn by the graphics engine.

## Member Function Documentation

## LoadDefault()

void Gfx::EngineObject::LoadDefault | ( |  | ) |

inline

Loads default values.

## Member Data Documentation

## used

bool Gfx::EngineObject::used = false

If true, object is valid in objects vector.

## baseObjRank

int Gfx::EngineObject::baseObjRank = -1

Rank of associated base engine object.

## visible

bool Gfx::EngineObject::visible = false

If true, the object is drawn.

## drawWorld

bool Gfx::EngineObject::drawWorld = false

If true, object is behind the 2D interface.

## drawFront

bool Gfx::EngineObject::drawFront = false

If true, the shape is before the 2D interface.

## type

EngineObjectType Gfx::EngineObject::type = ENG_OBJTYPE_NULL

Type of object.

## transform

Math::Matrix Gfx::EngineObject::transform

Transformation matrix.

## distance

float Gfx::EngineObject::distance = 0.0f

Distance to object from eye point.

## shadowRank

int Gfx::EngineObject::shadowRank = -1

Rank of the associated shadow.

## transparency

float Gfx::EngineObject::transparency = 0.0f

Transparency of the object [0, 1].

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.h